#include <fstream>
using namespace std;
ifstream f1("dqps.inp");
ofstream f2("dqps.out");
long p = 1,s = 0,n;
long tinhp(long x)
{
    if (x < n*2 + 1) {p = p * x; tinhp(x+2);}
    return p;
}
long tinhs(long x)
{
    if (x < n*2 + 1) {s = s + x; tinhs(x+2);}
    return s;
}
int main()
{
    f1 >> n;
    f2 << tinhp(1) << endl;
    f2 << tinhs(1);
    return 0;
}
